<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

$wp_customize->add_section( 'pushpa_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','pushpa' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'pushpa' ),
		'panel'             => 'pushpa_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'pushpa_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  pushpa_Switch_Control( $wp_customize,
	'pushpa_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'pushpa' ),
			'section'          	=> 'pushpa_breadcrumb',
			'on_off_label' 		=> pushpa_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'pushpa_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'pushpa' ),
		'active_callback' 	=> 'pushpa_is_breadcrumb_enable',
		'section'          	=> 'pushpa_breadcrumb',
	)
);
